#! /bin/sh -e

documents_path=$(xdg-user-dir DOCUMENTS)

cd $(dirname "$0")
ARCH=$(uname -m)

mkdir -p "$HOME/.vst/"
mkdir -p "$HOME/.vst3/"
mkdir -p "$documents_path/discoDSP/Bliss 2/"

if test $ARCH = x86_64 ; then
	    cp "Bliss2.so" "$HOME/.vst/Bliss2.so"
	    cp -r "Bliss2.vst3" "$HOME/.vst3/"
    else
	    echo "32-bit is not supported."
	    exit 1
    fi

cp -r -n "discoDSP/Bliss 2" "$documents_path/discoDSP/"

echo "Installation finished."